<template>
  <section class="app-main">
    <router-view v-slot="{ Component }">
      <keep-alive>
        <transition name="fade-transform" mode="out-in">
          <component :is="Component" />
        </transition>
      </keep-alive>
    </router-view>
  </section>
</template>

<script>
export default {
  name: 'AppMain',
  components: {},
  computed: {
    key() {
      console.log(this.$route.path);
      return this.$route.path;
    },
  },
};
</script>

<style lang="scss">
.app-main {
  min-height: calc(100vh - 50px);
  width: 100%;
  position: relative;
  overflow: hidden;
}

/* fade-transform */
.fade-transform-leave-active,
.fade-transform-enter-active {
  transition: all 0.5s;
}

.fade-transform-enter {
  opacity: 0;
  transform: translateX(-30px);
}

.fade-transform-leave-to {
  opacity: 0;
  transform: translateX(30px);
}
</style>
